import { IPAddresses, IPFlag } from '$lib/server/ip';

export const GET = () =>
	IPAddresses.getCachedIpAddressesByFlag(IPFlag.REJECT)
		.then(
			(list) =>
				new Response(list.join('\n'), { status: 200, headers: { 'Content-Type': 'text/plain' } })
		)
		.catch(
			() =>
				new Response('Internal Server Error', {
					status: 500,
					headers: { 'Content-Type': 'text/plain' }
				})
		);
